| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCEGUI Struct Reference

Interface for the CS CEGUI wrapper. More...

`#include <ivaria/icegui.h>`

Inheritance diagram for iCEGUI:

[legend]
List of all members.

## Public Member Functions
virtual CEGUI::FontManager * | GetFontManagerPtr () const =0
| Get a pointer to the CEGUI::FontManager singleton.
virtual CEGUI::GlobalEventSet * | GetGlobalEventSetPtr () const =0
| Get a pointer to the CEGUI::GlobalEventSet singleton.
virtual CEGUI::ImagesetManager * | GetImagesetManagerPtr () const =0
| Get a pointer to the CEGUI::ImagesetManager singleton.
virtual CEGUI::Logger * | GetLoggerPtr () const =0
| Get a pointer to the CEGUI::Logger singleton.
virtual CEGUI::MouseCursor * | GetMouseCursorPtr () const =0
| Get a pointer to the CEGUI::MouseCursor singleton.
virtual CEGUI::SchemeManager * | GetSchemeManagerPtr () const =0
| Get a pointer to the CEGUI::SchemeManager singleton.
virtual CEGUI::System * | GetSystemPtr () const =0
| Get a pointer to the CEGUI::System singleton.
virtual CEGUI::WindowFactoryManager * | GetWindowFactoryManagerPtr () const =0
| Get a pointer to the CEGUI::WindowFactoryManager singleton.
virtual CEGUI::WindowManager * | GetWindowManagerPtr () const =0
| Get a pointer to the CEGUI::WindowManager singleton.
virtual bool | Initialize (iScript *script=0)=0
| Initialize the plugin.
virtual void | Render () const =0
| Render the GUI.

## Detailed Description

Interface for the CS CEGUI wrapper.

Definition at line 39 of file icegui.h.

## Member Function Documentation

virtual CEGUI::FontManager* iCEGUI::GetFontManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::FontManager singleton.

virtual CEGUI::GlobalEventSet* iCEGUI::GetGlobalEventSetPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::GlobalEventSet singleton.

virtual CEGUI::ImagesetManager* iCEGUI::GetImagesetManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::ImagesetManager singleton.

virtual CEGUI::Logger* iCEGUI::GetLoggerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::Logger singleton.

virtual CEGUI::MouseCursor* iCEGUI::GetMouseCursorPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::MouseCursor singleton.

virtual CEGUI::SchemeManager* iCEGUI::GetSchemeManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::SchemeManager singleton.

virtual CEGUI::System* iCEGUI::GetSystemPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::System singleton.

virtual CEGUI::WindowFactoryManager* iCEGUI::GetWindowFactoryManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::WindowFactoryManager singleton.

virtual CEGUI::WindowManager* iCEGUI::GetWindowManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::WindowManager singleton.

virtual bool iCEGUI::Initialize | ( | iScript * | script = `0` | ) | `[pure virtual]`

Initialize the plugin.

Parameters:

  | script | iScript plugin to use as a scripting module.

virtual void iCEGUI::Render | ( |  | ) | const`[pure virtual]`

Render the GUI.

The documentation for this struct was generated from the following file:

- ivaria/icegui.h